import type { ReactElement } from 'react';
export interface LintResultMessageProps {
    ruleId: string | null;
    message: string;
    line: number;
    column: number;
}
export interface LintResultMessageElProp {
    message: LintResultMessageProps;
    filePath: string;
    source?: string;
}
export declare const LintResultMessage: ({ filePath, message, source, }: LintResultMessageElProp) => ReactElement;
